Bug 143059 - Assert crash when saving a specific file
Summary: Assert crash when saving a specific file
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: graphics stack (show other bugs)
Version:
(earliest affected)
7.2.0.0 alpha1+
Hardware: All Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:7.3.0 target:7.2.0.0.beta2
Keywords:
Depends on:
Blocks: Crash-Assert Skia
  Show dependency treegraph
 
Reported: 2021-06-25 06:43 UTC by NISZ LibreOffice Team
Modified: 2021-11-17 13:52 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Example file from Writer (10.92 KB, application/vnd.oasis.opendocument.text)
2021-06-25 06:43 UTC, NISZ LibreOffice Team
Details
Screenshot of the crash in Writer (69.95 KB, image/png)
2021-06-25 06:44 UTC, NISZ LibreOffice Team
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NISZ LibreOffice Team 2021-06-25 06:43:35 UTC
Created attachment 173188 [details]
Example file from Writer

Attached file contains some textboxes and text. When saving it in a debug build, it crashes in:
void SkiaSalBitmap::EnsureBitmapData():
assert(mPixelsSize == mSize);

Steps to reproduce:
    1. Open attached file in a debug build
    2. Highlight the left textbox and press Ctrl-S a few times

Actual results:
Crash with assert.

Expected results:
No crash.
Comment 1 NISZ LibreOffice Team 2021-06-25 06:44:08 UTC
Created attachment 173189 [details]
Screenshot of the crash in Writer
Comment 2 Aron Budea 2021-06-26 15:20:08 UTC
Confirmed, I'm assuming it's Skia-specific.

Version: 7.3.0.0.alpha0+ / LibreOffice Community
Build ID: a5a501c9e1da326de1d28b10777bd74dbc35bce6
CPU threads: 16; OS: Linux 5.4; UI render: Skia/Raster; VCL: x11
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded

Used the following method to start LO with Skia in Linux:
SAL_USE_VCLPLUGIN=gen SAL_ENABLESKIA=1 ./soffice
Comment 3 Commit Notification 2021-07-01 15:05:50 UTC
Attila Szűcs committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/aa7b1f2ec7da5b94459f808e151085f4d301afd1

tdf#143059 sw export: fix assert crash

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2021-07-08 07:50:00 UTC
Attila Szűcs committed a patch related to this issue.
It has been pushed to "libreoffice-7-2":

https://git.libreoffice.org/core/commit/26846d1cee0f348d6aba464fbe7b27c04796884d

tdf#143059 sw export: fix assert crash

It will be available in 7.2.0.0.beta2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Luboš Luňák 2021-11-17 13:52:57 UTC
This appears to have been already fixed.